Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Interface ServiceServiceMBean

All Superinterfaces:
  ServiceStatsMBean, Startable, Stoppable

All Known Implementing Classes:
  ServiceService

    public interface ServiceServiceMBean

extends Stoppable, Startable, ServiceStatsMBean

`ServiceServiceMBean` defines the management interface for a mule managed service.

Field Summary
`static String` | `DEFAULT_JMX_NAME_PREFIX`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Method Summary
`void` | `dispose()`
`void` | `forceStop()` Causes the service to stop without processing its event queue first
`String` | `getName()` The name of this service
`int` | `getQueueSize()` The number of queued events for this service
`ObjectName` | `getStatistics()` The statistics for this service
`boolean` | `isPaused()`
`boolean` | `isStopped()`
`boolean` | `isStopping()`
`void` | `pause()` Pauses event processing for theComponent.
`void` | `resume()` Resumes the Service that has been paused.

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.module.management.mbean.ServiceStatsMBean
`clearStatistics, getAsyncEventsReceived, getAsyncEventsSent, getAverageExecutionTime, getAverageQueueSize, getExecutedEvents, getExecutionErrors, getFatalErrors, getMaxExecutionTime, getMaxQueueSize, getMinExecutionTime, getQueuedEvents, getReplyToEventsSent, getSyncEventsReceived, getSyncEventsSent, getTotalEventsReceived, getTotalEventsSent, getTotalExecutionTime`

Field Detail

### DEFAULT_JMX_NAME_PREFIX

    static final String DEFAULT_JMX_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getStatistics

    ObjectName getStatistics()

  The statistics for this service

  Returns:
    statistics for this service
  See Also:
    `ServiceStats`

### getName

    String getName()

  The name of this service

  Returns:
    The name of this service

### getQueueSize

    int getQueueSize()

  The number of queued events for this service

  Returns:
    The number of queued events for this service

### pause

    void pause()
               throws MuleException

  Pauses event processing for theComponent. Unlike stop(), a paused service will still consume messages from the underlying transport, but those messages will be queued until the service is resumed. In order to persist these queued messages you can set the 'recoverableMode' property on the Muleconfiguration to true. this causes all internal queues to store their state.

  Throws:
    `MuleException` - if the service failed to pause.
  See Also:
    `MuleConfiguration`

### resume

    void resume()
                throws MuleException

  Resumes the Service that has been paused. If the service is not paused nothing is executed.

  Throws:
    `MuleException` - if the service failed to resume

### isPaused

    boolean isPaused()

### isStopped

    boolean isStopped()

### dispose

    void dispose()
                 throws MuleException

  Throws:
    `MuleException`

### forceStop

    void forceStop()
                   throws MuleException

  Causes the service to stop without processing its event queue first

  Throws:
    `MuleException`

### isStopping

    boolean isStopping()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.